package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: QuestionResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/11
 */
public class QuestionResult implements Serializable {

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "cellList")
    private List<TBPaperStructResult> cellList;

    @ApiModelProperty(value = "dimensionList")
    private List<DimensionInfoResult> dimensionList;

    @ApiModelProperty(value = "abilityDimensionList")
    private List<DimensionInfoResult> abilityDimensionList;

    public QuestionResult() {

    }

    public QuestionResult(String paperType, List<TBPaperStructResult> cellList, List<DimensionInfoResult> dimensionList, List<DimensionInfoResult> abilityDimensionList) {
        this.paperType = paperType;
        this.cellList = cellList;
        this.dimensionList = dimensionList;
        this.abilityDimensionList = abilityDimensionList;
    }

    public List<DimensionInfoResult> getAbilityDimensionList() {
        return abilityDimensionList;
    }

    public void setAbilityDimensionList(List<DimensionInfoResult> abilityDimensionList) {
        this.abilityDimensionList = abilityDimensionList;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public List<TBPaperStructResult> getCellList() {
        return cellList;
    }

    public void setCellList(List<TBPaperStructResult> cellList) {
        this.cellList = cellList;
    }

    public List<DimensionInfoResult> getDimensionList() {
        return dimensionList;
    }

    public void setDimensionList(List<DimensionInfoResult> dimensionList) {
        this.dimensionList = dimensionList;
    }
}
